package kochsnowflake;

import java.awt.*;
import javax.swing.*;
public class Main extends JPanel{
    int SIZE=500;
    
    public Main() {
        setPreferredSize(new Dimension(SIZE,SIZE));
        JFrame frame = new JFrame();
        frame.setDefaultCloseOperation(frame.EXIT_ON_CLOSE);
        frame.getContentPane().add(this);
        frame.pack();
        frame.setVisible(true);
    }

    public void paintComponent(Graphics g){
        g.setColor(Color.BLACK);
        g.fillRect(0,0,SIZE,SIZE);
        g.setColor(Color.WHITE);
        
        double[]P={100,150,400,150};
        drawLineRec(g,P);
        double[]P1={400,150,250,410};
        drawLineRec(g,P1);        
        double[]P2={250,410,100,150};
        drawLineRec(g,P2);
    }
    
    public void drawLineRec(Graphics g, double[]P){
        double dx=P[2]-P[0];
        double dy=P[3]-P[1];
        double l=Math.sqrt(dx*dx+dy*dy);	// length of segment!
        
	  // I deleted some 11 lines of code here. restore them !



            }
    
    public double[] computePoints(double[] p){
        double []outPoints=new double[6];
        double dx=p[2]-p[0];
        double dy=p[3]-p[1];
        outPoints[0]=p[0]+dx/3;
        outPoints[1]=p[1]+dy/3;
        outPoints[4]=p[0]+dx/3*2;
        outPoints[5]=p[1]+dy/3*2;
        double ld = Math.sqrt(dx*dx+dy*dy);
        double lh = ld/3 * Math.sin(Math.PI/3);
        outPoints[2]=p[0] + dx/2 + dy/ld*lh;
        outPoints[3]=p[1] + dy/2 - dx/ld*lh;
        return(outPoints);
    }
        
    public static void main(String[] args) {
        new Main();
    }
    
}
